package org.nl.common.utils;

import org.nl.config.SpringContextHolder;
import org.nl.system.service.coderule.ISysCodeRuleService;

import java.util.*;

public class CodeUtil {

    public  static  String getNewCode(String ruleCode){
        String flag = "1";
        HashMap<String,String> map = new HashMap<>();
        map.put("flag",flag);
        map.put("code",ruleCode);
        return SpringContextHolder.getBean(ISysCodeRuleService.class).codeDemo(map);
    }


}
